summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Yth - Arnaud2018-05-07 21:59:10 +0200
committer Willy Sudiarto Raharjo2018-05-12 01:58:24 +0200
commit30e5aa6224f28246794aaf30c27e8ed16b6c69a8 (patch)
tree81292511809f772f4b458d9eb55fdf429e694724
parentce4512d975cc848d28b9203f4f0a4de1cde93079 (diff)
downloadslackbuilds-30e5aa6224f28246794aaf30c27e8ed16b6c69a8.tar.gz
libraries/libjwt: Added (JWT C Library).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--libraries/libjwt/README9
-rw-r--r--libraries/libjwt/libjwt.SlackBuild104
-rw-r--r--libraries/libjwt/libjwt.info10
-rw-r--r--libraries/libjwt/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/libraries/libjwt/README b/libraries/libjwt/README
new file mode 100644
index 0000000000..b0fda0b4d1
--- /dev/null
+++ b/libraries/libjwt/README
@@ -0,0 +1,9 @@
+Libjwt - JWT C Library
+
+JSON Web Tokens are an open, industry standard RFC 7519 method for
+representing claims securely between two parties.
+
+See https://jwt.io/ for more information.
+
+By default it builds with GnuTLS.
+Use OPENSSL=yes to build with OpenSSL instead.
diff --git a/libraries/libjwt/libjwt.SlackBuild b/libraries/libjwt/libjwt.SlackBuild
new file mode 100644
index 0000000000..5684b4b1a4
--- /dev/null
+++ b/libraries/libjwt/libjwt.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+# Slackware build script for libjwt
+#
+# Yth | Pont-en-Royans, France | yth@ythogtha.org
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libjwt
+VERSION=${VERSION:-1.9.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+openssl=""
+[ "${OPENSSL:-no}" = "no" ] && openssl="--without-openssl"
+
+autoreconf -i
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --enable-shared=yes \
+ $openssl \
+ --build=$ARCH-slackware-linux
+
+make all
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+DOCS="AUTHORS COPYING* MPL-2.0 ChangeLog NEWS README*"
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libjwt/libjwt.info b/libraries/libjwt/libjwt.info
new file mode 100644
index 0000000000..d2273af8df
--- /dev/null
+++ b/libraries/libjwt/libjwt.info
@@ -0,0 +1,10 @@
+PRGNAM="libjwt"
+VERSION="1.9.0"
+HOMEPAGE="https://github.com/benmcollins/libjwt"
+DOWNLOAD="https://github.com/benmcollins/libjwt/archive/v1.9.0/libjwt-1.9.0.tar.gz"
+MD5SUM="9a0274ed6830d66c3ef466d269f9e6c7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jansson"
+MAINTAINER="Yth - Arnaud"
+EMAIL="yth@ythogtha.org"
diff --git a/libraries/libjwt/slack-desc b/libraries/libjwt/slack-desc
new file mode 100644
index 0000000000..193854f8de
--- /dev/null
+++ b/libraries/libjwt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libjwt: libjwt (JWT C Library)
+libjwt:
+libjwt: JSON Web Tokens are an open, industry standard RFC 7519 method
+libjwt: for representing claims securely between two parties.
+libjwt:
+libjwt: See https://jwt.io/ for more information
+libjwt:
+libjwt:
+libjwt:
+libjwt:
+libjwt: